### Method

# RB EntryView append_column_custom

#### Declaration [src]

    void
    rb_entry_view_append_column_custom (
      RBEntryView* view,
      GtkTreeViewColumn* column,
      const char* title,
      const char* key,
      GCompareDataFunc sort_func,
      gpointer data,
      GDestroyNotify data_destroy
    )

#### Description [src]

Appends a custom column to the entry view.

#### Parameters

`column`

  Type: `GtkTreeViewColumn`

  A `GtkTreeViewColumn` to append.

  The instance takes ownership of the data, and is responsible for freeing it.

`title`

  Type: `const char*`

  Title for the column (translated).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const char*`

  Sort key for the column (not translated).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`sort_func`

  Type: `GCompareDataFunc`

  Comparison function to use for sorting on the column.

`data`

  Type: `gpointer`

  Data to pass to the sort function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`data_destroy`

  Type: `GDestroyNotify`

  Function to use to destroy the sort data.